/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.lobby.special.easter;

import de.steamwar.lobby.LobbySystem;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class EggHunt {

    private static List<Egg> eggList = new ArrayList<>();

    public static final String EGG_HUNT_CONFIG_KEY = "egghunt2023";

    public static void init() {
        new EggHuntCommand();
        new EggClickListener();
        new EggHuntListener();
    }

    static {
        File file = new File(LobbySystem.getInstance().getDataFolder(), "eggs.yml");
        FileConfiguration fileConfiguration = YamlConfiguration.loadConfiguration(file);
        fileConfiguration.getList("eggs")
                .forEach(o -> {
                    if (!(o instanceof Map)) return;
                    eggList.add(new Egg((Map) o));
                });
    }

    public static List<Egg> getEggList() {
        return eggList;
    }
}
